Thanks it guys worked now. I was actually extracting the debs installing them and applying the patch in the /usr/src/fglrx-8.961 dir and then installing the debs again over them top.

Thanks to link from DanL it worked.